#ifndef _DEV_SW_H_
#define _DEV_SW_H_

/* スイッチで用いるレジスタ */
#define PD_IOR0		((volatile unsigned short int *)(0xFFFE3872))
#define PD_DR0		((volatile unsigned short int *)(0xFFFE3876))
#define PD_CR3		((volatile unsigned short int *)(0xFFFE3868))

#define SW_ON  1	/* スイッチがON */
#define SW_OFF 0	/* スイッチがOFF */

extern void sw_initialize(void);
extern int sw_read(void);

#endif
